# ReaderWriterATTR.cpp File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <osg/Notify>`
`#include <osg/TexEnv>`
`#include <osg/Texture2D>`
`#include <osg/StateSet>`
`#include <osg/GL>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <osgDB/Registry>`
`#include <iostream>`
`#include <fstream>`
`#include "AttrData.h"`

Include dependency graph for ReaderWriterATTR.cpp:

## Defines

#define | READ(DST) readField(file, (void*)&(DST), sizeof(DST))

## Typedefs

typedef signed char | int8
typedef unsigned char | uint8
typedef signed short | int16
typedef unsigned short | uint16
typedef signed int | int32
typedef unsigned int | uint32
typedef float | float32
typedef double | float64

## Variables

osgDB::RegisterReaderWriterProxy< ReaderWriterATTR > | g_readerWriter_ATTR_Proxy

## Define Documentation

#define READ | ( | DST |  | ) | readField(file, (void*)&(DST), sizeof(DST))

## Typedef Documentation

typedef float float32

typedef double float64

typedef signed short int16

typedef signed int int32

typedef signed char int8

typedef unsigned short uint16

typedef unsigned int uint32

typedef unsigned char uint8

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterATTR> g_readerWriter_ATTR_Proxy